%define major 3
%define minor 2
%define libname %mklibname upnp %{major}
%define develname %mklibname upnp -d

Summary:	Library and tools for the UPnP protocol
Name:		libupnp
Version:	1.6.6
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://pupnp.sourceforge.net/
Source:		http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:	%mklibname upnp 0

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{develname}
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname upnp 0 -d} < 1.6.5
Provides:	%mklibname upnp 0 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x \
	--with-documentation=%{_docdir}/%{name} \
        --enable-tools \
        --enable-sample
%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/*upnp.so.%{major}*
%{_libdir}/*.so.%{minor}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*pc
%{_docdir}/%{name}


%changelog
* Tue Jun 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 228472
- update to new version 1.6.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 1.6.5-2mdv2009.0
+ Revision: 197464
- fix obsoletes

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.5-1mdv2009.0
+ Revision: 195343
- new version
- new development library policy
- bump major
- fix descriptions
- spec file clean

* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 158259
- 1.6.3
- 1.6.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 59908
- 1.6.0

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 17464
- 1.4.4


* Wed Feb 28 2007 Erwan Velu <erwan@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 126950
- 1.4.2
- Import libupnp

* Wed Aug 23 2006 Erwan Velu <erwan@mandriva.org> 1.4.1-1
- Switching to pupnp

* Fri Jul 21 2006 Erwan Velu <erwan@mandriva.org> 1.3.1-1
- 1.3.1
- Big clean, 1.3.1 sounds easiest to package

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 1.2.1a-3mdk
- debian fix is better than mine

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1.2.1a-2mdk
- some fancy footwork to:
  - follow libification policy
  - follow multiarch policy

* Sun Aug 14 2005 Austin Acton <austin@mandrake.org> 1.2.1a-1mdk
- initial package

